Bug 1418537 - [Admin Portal] Exception while adding new host network QoS from cluster->logical networks->add network
Summary: [Admin Portal] Exception while adding new host network QoS from cluster->logi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0.3
Hardware: All
OS: Linux
medium
high
Target Milestone: ovirt-4.1.1
: 4.1.1
Assignee: Dominik Holler
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 03:45 UTC by Bhushan Barve
Modified: 2017-07-14 03:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-04-21 09:33:34 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71639 0 master MERGED webadmin: Fix mapping of NewHostNetworkQosModel to widget 2017-02-08 07:04:23 UTC
oVirt gerrit 71832 0 ovirt-engine-4.1 MERGED webadmin: Fix mapping of NewHostNetworkQosModel to widget 2017-02-08 08:27:15 UTC

Description Bhushan Barve 2017-02-02 03:45:17 UTC
Description of problem: Exception thrown while adding new host network QoS from cluster->logical networks->add network. 
Uncaught exception occurred. Please try reloading the page. Details: Exception caught: undefined
Please have your administrator check the UI logs

Uncaught exception occurred. Please try reloading the page. Details: (TypeError) __gwt$exception: <skipped>: qib(...) is null
Please have your administrator check the UI logs

When tried to add the same from networks->new, there was no exception thrown.


Version-Release number of selected component (if applicable):
 Red Hat Virtualization Manager Version: 4.1.0.3-0.1.el7 

How reproducible:
always

Steps to Reproduce:
1. login to admin portal
2. go to cluster->logical networks->add network
3. on general tab, click on new button under host network QoS at the bottom

Actual results:
Exception thrown as - 
Uncaught exception occurred. Please try reloading the page. Details: Exception caught: undefined
Please have your administrator check the UI logs

Uncaught exception occurred. Please try reloading the page. Details: (TypeError) __gwt$exception: <skipped>: qib(...) is null
Please have your administrator check the UI logs

Expected results:
There should not be an exception thrown.

Additional info:

Comment 1 Bhushan Barve 2017-02-02 03:46:26 UTC
Selected the oVirt team as network. Please change if necessary.

Comment 2 Michael Burman 2017-02-13 07:25:45 UTC
Verified on - 4.1.1-0.1.el7


Note You need to log in before you can comment on or make changes to this bug.